Skip to main content
GET
/
findings
Get all findings
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/findings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 420233,
      "name": "Vulnerabilities found for Apache Httpd 2.4.10",
      "test_description": "Checking for SQL Injection...",
      "test_finished": true,
      "confirmed": true,
      "epss_score": 123,
      "epss_percentile": 123,
      "in_cisa_catalog": true,
      "cve": [
        "CVE-2017-3167",
        "CVE-2019-0217"
      ],
      "cvss": 123,
      "cvssv3": 123,
      "vuln_description": "Vulnerabilities found for Apache Httpd 2.4.25 (port 80/tcp)",
      "vuln_evidence": {
        "type": "text",
        "data": {
          "headers": [
            "<string>"
          ],
          "rows": [
            [
              "<string>"
            ]
          ]
        }
      },
      "risk_description": "<string>",
      "risk_level": 0,
      "status": "open",
      "recommendation": "<string>",
      "references": [
        "<string>"
      ],
      "verified": true,
      "vuln_id": "NETSCAN-SNIPER-CVE-2021-42013-RCE",
      "owasp": {
        "owasp_2017": "<string>",
        "owasp_2021": "<string>",
        "owasp_2025": "<string>"
      },
      "cwe": "<string>",
      "port": 32767,
      "protocol": "TCP",
      "service": "AMQP",
      "target_id": 12345,
      "task_id": 54321,
      "screenshots": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://pentest-tools.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Query Parameters

workspace_id
integer

ID of the workspace to show findings from.

target_id
integer

ID of the target to show findings from

task_id
integer

ID of the scan to show findings from

group_duplicates
boolean
default:false

Group duplicates to show only the latest finding from each group.

min_risk_level
integer

Only include findings whose risk level is at least this value. Uses the same integer scale as risk_level on each finding (0=Info, 1=Low, 2=Medium, 3=High, 4=Critical). Can be combined with max_risk_level (inclusive range); minimum must not exceed maximum.

Required range: 0 <= x <= 4
max_risk_level
integer

Only include findings whose risk level is at most this value. Same scale as min_risk_level.

Required range: 0 <= x <= 4

Response

OK

data
object[]
required